package com.taais.biz.domain.bo;


import jakarta.validation.constraints.NotNull;
import lombok.*;

/**
 * @Datetime : 2023/12/5 12:13
 * @Author   : WANGKANG
 * @Emai     : 1686617586@qq.com
 * @File     : VideoStableStart.java
 * @Brief    : 视频稳定启动参数
 */

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode()
public class VideoStableStartBo {
    @NotNull(message = "in_path不能为空")
    String in_path;

    @NotNull(message = "out_path不能为空")
    String out_path;

    @Builder.Default
    private Integer  block_size = 50;
    @Builder.Default
    private Integer  radius = 500;
    @Builder.Default
    private Integer  buffer_size = 200;
    @Builder.Default
    private Double cornerquality = 0.2;
    @Builder.Default
    private Integer  cornerminDistance = 5;
    @Builder.Default
    private Integer  lklevel = 3;
    @Builder.Default
    private Integer  lkwinSiz = 15;
}
